using System;

namespace Frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double s = 0, maxZarada = 0;
            double[] Plata = new double[n];
            double[] Porez = new double[n];

            for (int i = 0; i < n; i++)
            {
                string[] niz = Console.ReadLine().Split();
                Plata[i] = double.Parse(niz[0]);
                Porez[i] = double.Parse(niz[1]);
            }

            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < n; j++)
                {
                    if (Porez[i] <= Porez[j])
                    {
                        s += Plata[j];
                    }

                }

                double sumZarada = (s * Porez[i]) / 100;

                if (maxZarada < sumZarada)
                {
                    maxZarada = sumZarada;
                }

                s = 0;
            }

            Console.WriteLine(maxZarada);
        }
    }
}